xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) Brandon S Allbery KF8NH 2014
License | BSD3-style (see LICENSE)
Maintainer | allbery.b@gmail.com
Stability | unstable
Portability | not portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Util.DebugWindow

Description

Module to dump window information for diagnostic/debugging purposes. See XMonad.Hooks.DebugEvents and XMonad.Hooks.DebugStack for practical uses.

Synopsis

- debugWindow :: Window -> X String

# Documentation

debugWindow :: Window -> X String #

Output a window by ID in hex, decimal, its ICCCM resource name and class, its title if available, and EWMH type and state if available. Also indicate override_redirect with an exclamation mark, and wrap in brackets if it is unmapped or withdrawn.